Bug 219466 - Gnome Enhancement: lockdown for nautilus and gnome file dialogs
Gnome Enhancement: lockdown for nautilus and gnome file dialogs
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-12-13 06:59 EST by Giuseppe Paterno
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-18 14:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Giuseppe Paterno 2006-12-13 06:59:03 EST
A methodology is needed to lock-down what files can be displayed to the user.
In particular, nautilus and the gnome file dialogs should have an optional
lockdown mechanism to restrict the user from "going around" with the GUI.
Classical example would be restricting to the users' home dirs and removable
devices such as cdrom and usbdisks (with the possibility do disable each one of

Pessulus is not able to restrict it yet.

Of couse security should be applied through selinux, because if he/she can login
via command-line, the security should be enforced. But this is useful for most
of the desktop customers.
Comment 1 Ray Strode [halfline] 2008-03-18 14:40:42 EDT

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.